export const deskStructure = (S) =>
  S.list()
    .title('Velg marked')
    .items([
      S.listItem()
        .title('Nasjonalt marked')
        .child(
          S.list()
            // Sets a title for our new list
            .title('Velg kategori')
            // Add items to the array
            // Each will pull one of our new singletons
            .items([
              S.listItem().title('Hjemmesiden').child(S.documentTypeList('hjemmeside')),
              S.listItem().title('Analyser').child(S.documentTypeList('analyser')),
              S.listItem().title('Tjenester').child(S.documentTypeList('tjenester')),
              S.listItem().title('Om oss').child(S.documentTypeList('omOss')),
            ])
        ),
      S.listItem()
        .title('Internasjonalt marked')
        .child(
          S.list()
            // Sets a title for our new list
            .title('Choose category')
            // Add items to the array
            // Each will pull one of our new singletons
            .items([
              S.listItem().title('Homepage').child(S.documentTypeList('homepage')),
              S.listItem().title('Products').child(S.documentTypeList('products')),
              S.listItem().title('Services').child(S.documentTypeList('services')),
              S.listItem().title('Applications').child(S.documentTypeList('applications')),
              S.listItem().title('About').child(S.documentTypeList('about')),
            ])
        ),
      // We also need to remove the new singletons from the main list
      ...S.documentTypeListItems().filter(
        (listItem) =>
          ![
            'hjemmeside',
            'homepage',
            'analyser',
            'tjenester',
            'omOss',
            'products',
            'about',
            'applications',
            'services',
          ].includes(listItem.getId())
      ),
    ])
