export default {
  name: 'hjemmeside',
  type: 'document',
  title: 'Rediger nasjonal hjemmeside',
  fields: [
    {
      name: 'title',
      title: 'Tittel',
      description: 'Tittelen uthevet med fet tekst',
      type: 'string',
    },
    {
      name: 'second_title',
      title: 'Undertittel',
      description: 'Teksten under tittelen',
      type: 'string',
    },
    {
      name: 'images',
      title: 'Bildekarusell',
      description: 'Bildene som vises i bildekarusellen',
      type: 'array',
      of: [
        {
          name: 'image',
          title: 'Image',
          type: 'image',
          options: {
            hotspot: true,
          },
          fields: [
            {
              name: 'img_number',
              title: 'Nummer i rekkefølgen av bilder',
              description: 'Plasseringen dere ønsker dette bildet å ha i rekkefølgen av bildene',
              type: 'number',
              validation: (Rule: {required: () => any}) => Rule.required().min(1),
            },
            {
              name: 'img_description',
              title: 'Image description',
              description: 'Teksten som vises i karusellen på hjemmesiden',
              type: 'string',
            },
            {
              name: 'alt',
              title: 'Alternative text',
              description: 'Alternativ tekst dersom bildet ikke klarer å laste',
              type: 'string',
            },
          ],
        },
      ],
      options: {
        layout: 'grid',
      },
    },
    {
      name: 'keywords',
      title: 'Stikkord',
      description: 'Nøkkelord om bedriften i stikkord som vises under undertittelen',
      type: 'array',
      of: [{type: 'block'}],
    },
    {
      name: 'details_1',
      title: 'Detaljer-boks nr. 1',
      description: 'Den første tekstboksen under "Jarle Hjelen AS tilbyr:"',
      type: 'text',
    },
    {
      name: 'details_2',
      title: 'Detaljer-boks nr. 2',
      description: 'Den andre tekstboksen under "Jarle Hjelen AS tilbyr:"',
      type: 'text',
    },
    {
      name: 'image1',
      title: 'Bilde',
      description: 'Bildet til de to første detaljer-boksene',
      type: 'image',
      options: {
        hotspot: true,
      },
      fields: [
        {
          name: 'alt',
          title: 'Alternativ tekst',
          description: 'Tekst som blir vist dersom bildet ikke laster',
          type: 'string',
        },
      ],
    },

    {
      name: 'details_3',
      title: 'Detaljer-boks nr. 3',
      description: 'Den tredje tekstboksen under "Jarle Hjelen AS tilbyr:"',
      type: 'text',
    },
    {
      name: 'details_4',
      title: 'Detaljer-boks nr. 4',
      description: 'Den fjerde tekstboksen under "Jarle Hjelen AS tilbyr:"',
      type: 'text',
    },
    {
      name: 'image2',
      title: 'Bilde',
      description: 'Bildet til detaljer-boks nr 3 og 4',
      type: 'image',
      options: {
        hotspot: true,
      },
      fields: [
        {
          name: 'alt',
          title: 'Alternativ tekst',
          description: 'Tekst som blir vist dersom bildet ikke laster',
          type: 'string',
        },
      ],
    },
  ],
}
