import AboutLayout from "./About";
import { aboutUs } from "types/sanity";
import "../../styles/globals.css";

describe("", () => {
  beforeEach(() => {
    cy.fixture("about").then((data: aboutUs) =>
      cy.mount(<AboutLayout params={data} />)
    );
  });
  it("Renders component", () => {
    cy.get('img[aria-labelledby="employee image"]').should("be.visible");
  });
  it("Image contains correct data", () => {
    cy.get('img[aria-labelledby="employee image"]')
      .should("have.attr", "alt")
      .then((altText) => {
        console.log(altText);
      });
  });
  it("Has correct personal title", () => {
    cy.get("h2").contains("CTO Testersen").should("be.visible");
  });
  it("Has personal story", () => {
    cy.get("h2")
      .contains("CTO Testersen")
      .parent()
      .children()
      .should("have.length.greaterThan", 1)
      .should("be.visible");
  });
  it("Has correct company title", () => {
    cy.get("li").contains("Dette er litt tekst wihoo");
  });
  it("Has visible list under companyy", () => {
    cy.get('ul[aria-labelledby="lvl1"]').find("li").should("be.visible");
  });
});
