/**
 * @function ExitIcon generates icon for sub-dropdown menu in navbar on mobile
 * @param isOpen checks if dropdown item is clicked or not, and animates it accordingly
 * @returns a DOM element containing divs to create an exit icon that rotates based on input parameter
 */

const DropdownIcon = ({ isOpen }: { isOpen: boolean }) => {
  const genericHamburgerLine = `h-0.5 w-4 rounded-full transition ease transform duration-300 bg-white`;
  return (
    <div
      className={`absolute left-[1px] transition-all duration-100 ease-i py-3 h-full flex justify-center items-center`}
    >
      <div className={` ${isOpen ? "rotate-45" : ""}`}>
        <div className={`${genericHamburgerLine}  translate-y-px`} />
        <div className={`${genericHamburgerLine} rotate-90 -translate-y-px`} />
      </div>
    </div>
  );
};

export default DropdownIcon;
