/**
 * @function HamburgerIcon generates icon for dropdown menu in navbar on mobile
 * @param isOpen checks if dropdown is clicked or not, and animates it accordingly
 * @returns a DOM element containing divs to create a hamburger icon that transforms based on input parameter
 */

function HamburgerIcon({ isOpen }: { isOpen: boolean }) {
  const genericHamburgerLine: string = `h-1 w-6 my-1 rounded-full transition ease transform duration-300 bg-white `;
  return (
    <>
      <div
        className={`${genericHamburgerLine} ${
          isOpen
            ? "rotate-45 translate-y-3  group-hover:opacity-100"
            : "group-hover:opacity-100"
        }`}
      />
      <div
        className={`${genericHamburgerLine} ${
          isOpen ? "opacity-0" : " group-hover:opacity-100"
        }`}
      />
      <div
        className={`${genericHamburgerLine} ${
          isOpen
            ? "-rotate-45 -translate-y-3  group-hover:opacity-100"
            : " group-hover:opacity-100"
        }`}
      />
    </>
  );
}

export default HamburgerIcon;
