import IntHomepageRow from "./IntHomepageRow";
import "../../styles/globals.css";
import { intHomePageRow } from "types/sanity";

describe('', () => {
  beforeEach(() => {
    cy.fixture('intHomePageRow').then((data: intHomePageRow) => cy.mount(
      <IntHomepageRow
        title={data["title_detectors"]}
        subtitle={data["subtitle_detectors"]}
        images={data["images_detectors"]}
        base_path={"en/products/"} />
    ))
  });
  it('Populates title', () => {
    cy.get('h1').contains('EBSD TEST DETECTORS').should('be.visible');
  })
  it('Populates subtitles', () => {
    cy.get('h3[aria-labelledby="TertiaryTitle"]').each(($subtitle) => 
    cy.wrap($subtitle).should('be.visible'));
  })
  it('Renders images', () => {
    cy.get('h3[aria-labelledby="TertiaryTitle"]').parent().get('img').each(($image) => {
      cy.wrap($image).should('be.visible');
    })
  })
  it('Imges contains correct data', () => {
    cy.get('h3[aria-labelledby="TertiaryTitle"]').parent().get('img').each(($image, index, $list) => {
      cy.wrap($image).should('have.attr', 'alt').should('equal', 'Detector ' + (index + 1) + ' alttext');
    })
  })
})

