import NatHomePageRow from "./NatHomePageRow";
import "../../styles/globals.css";
import { natHomePageRow } from "types/sanity";

describe('National homepage detailrow', () => {
  beforeEach(() => {
    cy.fixture('natHomePageRow').then((data: natHomePageRow) => cy.mount(
      <NatHomePageRow firstDetail={data.firstDetail} secondDetail={data.secondDetail} image={data.image} reverse={data.reverse} />
    ))
  });
  it('Renders image correctly', () => {
    cy.get('img[aria-labelledby="CardImage"]').should('be.visible');
  })
  it('Image contains correct alt information', () => {
    cy.get('img[aria-labelledby="CardImage"').should('have.attr', 'alt').should('equal', 'altText')
  })
  it('contains details', () => {
    cy.get('ul[aria-labelledby="CardList"]').find('li').each((listitem) => {
      cy.wrap(listitem).should('be.visible');
    });
  })
});

describe('National homepage reversed detailrow', () => {
  beforeEach(() => {
    cy.fixture('natHomePageRow').then((data: natHomePageRow) => cy.mount(
      <NatHomePageRow firstDetail={data.firstDetail} secondDetail={data.secondDetail} image={data.image} reverse={!data.reverse} />
    ))
  });
  it('Renders image correctly', () => {
    cy.get('img[aria-labelledby="CardImage"]').should('be.visible');
  })
  it('Image contains correct alt information', () => {
    cy.get('img[aria-labelledby="CardImage"').should('have.attr', 'alt').should('equal', 'altText')
  })
  it('contains details', () => {
    cy.get('ul[aria-labelledby="CardList"]').find('li').each((listitem) => {
      cy.wrap(listitem).should('be.visible');
    });
  })
});