import OmOss from "./OmOss";
import "../../styles/globals.css";
import { omOss } from "types/sanity";

describe("OmOss component", () => {
  beforeEach(() => {
    cy.fixture('omOss').then((data: omOss) => cy.mount(<OmOss params={data} />))
  })
  it("Displays the image of employee", () => {
    cy.get('img[aria-labelledby="EmployeeImage"]').should('be.visible');
  })
  it("Image contains correct data", () => {
    cy.get('img[aria-labelledby="EmployeeImage"]').should('have.attr', 'alt').then((altText) =>{ 
      expect(altText).contains('Testersen')
    })
  })
  it("Displays title of employee", () => {
    cy.get('h2').should('be.visible');
  })
  it('Displays details of employee', () => {
    cy.get('p[aria-labelledby="EmployeeDataRow"]').should('be.visible').should('have.length.at.least', 1);
  })
})
  
  