import ProductCard from "./ProductCard";
import { product } from "types/sanity";
import "../../styles/globals.css";

describe('ProductCard', () => {
  beforeEach(() => {
    cy.fixture('product').then((data: product) => cy.mount(
      <ProductCard
        product={data}
      />
    ))
  })
  it('Renders image', () => {
    cy.get('img[aria-labelledby="CardImage"]').should('be.visible');
  })
  it('Image contains correct data', () => {
    cy.get('img[aria-labelledby="CardImage"]').should('have.attr', 'alt').should('equal', 'Image 1')
  })
  it('Product title', () => {
    cy.get('h1[aria-labelledby="CardTitle"]').should('contain', 'Test Product').should('be.visible');
  })
  it('Product summary', () => {
    cy.get('ul[aria-labelledby="CardSummary"]').get('li').should('be.visible');
  })
})