import ContactForm from "app/components/InternationalContactForm";
import { Metadata } from "next";
import React from "react";

/**Exports a built in function that dynamically generates the metadata for this page. */
export async function generateMetadata(): Promise<Metadata> {
  return {
    title: "Contact us",
    description:
      "If you have any questions please send a inquiry using the contact form on this page. We will reply you as soon as possible.",
  };
}

/**
 * @returns The page for the contact form on the international market
 */

const page = () => {
  return (
    <div className="flex justify-center items-center py-10 px-2 ">
      <ContactForm />
    </div>
  );
};

export default page;
