import { children } from "types/sanity";

// Funksjon som returnerer korrekt element basert på hva slags tekst som blir skrevet inn i "block"-tekst i Sanity
const populateBlockText = (
  params: {
    listItem: string;
    children: children;
    level: number;
  }[]
): React.ReactNode => {
  return (
    <ul role="list" aria-labelledby="lvl1">
      {params.map((el) => {
        if (el.listItem !== "bullet") {
          return el.children.map((line) => (
            <li className="font-normal text-lg lg:text-2xl lg:py-5 " key="">
              {line.text}
            </li>
          ));
        } else if (el.level > 1) {
          return (
            <li
              className="ml-4 mt-1 lg:text-xl xl:text-xl pl-5"
              key={el.listItem}
            >
              {el.children.map((line) => ` - ${line.text}`)}
            </li>
          );
        } else {
          return el.children.map((line) => (
            <li className="mt-2 list-disc text-xl lg:text-2xl list-outside ml-5">
              {line.text}
            </li>
          ));
        }
      })}
    </ul>
  );
};

export default populateBlockText;
