import { createClient } from "next-sanity";
import imageUrlBuilder from "@sanity/image-url";
import { ImageUrlBuilder } from "@sanity/image-url/lib/types/builder";

// Initializes the Sanity client
const client = createClient({
  projectId: process.env.NEXT_PUBLIC_PROJECT_ID,
  dataset: process.env.NEXT_PUBLIC_DATASET,
  useCdn: true, // Allows the data to be stored in CDN, which minimizes the workload on the database
  apiVersion: "2023-05-01",
});

// A helperfunction to convert the images into a working source for the Image elements
const builder = imageUrlBuilder(client);
export const urlFor = (source: string): ImageUrlBuilder => {
  return builder.image(source);
};

export default client;
