/**
 * @interface ContactFormProps - determines the state of the contactForm
 */
export interface ContactFormProps {
  /**@deprecated insideComponent - contactform no longer pops up inside of detail component */
	insideComponent: boolean;
  /**@deprecated detailType - contactform no longer needs to determine what detail it was opened from */
  detailType: string;
  /**@deprecated detailTitle - contactform no longer auto completes what product was selected */
  detailTitle: string | undefined;
  /**@deprecated visible - contactform no longer appears or dissapears, it is always rendered if used */
  visible: function;
}
/**
 * @interface CountryOption - object holding the value and label of the country
 */
export interface CountryOption {
  /**@property value - is the shortened variant of the country name in English */
  value: string;
  /**@label label - is the full name of the country in English */
  label: string;
}
/**
 * @interface EmailData - data that EmailJS template accepts
 */
export interface EmailData {
  data: {
    /**@label name - first + last name of sender */
    name: string;
    /**@label email - email of sender */
  	email: string;
    /**@label companyName - name of company sender is inquiring on behalf of */
  	companyName: string;
    /**@label companyPosition - position of sender within the company */
  	companyPosition:string;
    /**@label productOfInquiry - either a detector or analyse  */
    productOfInquiry: string;
    /**@label productDetails - if the "other" option is chosen, this string is sent with */
    productDetails: string;
    /**@label serviceOfInqury - either a service or tjeneste */
  	serviceOfInquiry: string;
    /**@label serviceDetails - if the "other" option is chosen, this string is sent with */
    serviceDetails: string;
    /**@label inquiryDetails - details of the inquiry */
  	inquiryDetails: string;
    /**@label country - where senders company is located */
  	country: string;
    /**@label manufacturer - current SEM manufacturer sender is inquiring about */
    manufacturer: string;
    /**@label modelNr - model number of SEM */
    modelNr: string;
  }
}